Prices

India Prices

Call GET /india/prices on the Corpus API.

GET /india/prices

Call GET /india/prices on the Corpus API.

Category: India · Prices

Authentication

Send the provisioned API key in the X-API-KEY header.

Required scopes: india:read.

Request

NameInRequiredTypeConstraintsDescription
isinqueryyesstring
as_ofquerynostring | null
start_datequerynostring (date) | null
end_datequerynostring (date) | null
limitquerynointegerdefault 5000; min 1; max 10000

Example request

curl --request GET \
  --url 'https://corpus-api.onera.app/india/prices?isin=INE002A01018' \
  --header "X-API-KEY: ${CORPUS_API_KEY}"

Responses

StatusDescriptionContent typeSchema
200Successful Responseapplication/jsonIndiaPricesResponse
400Invalid parameter combinationapplication/jsonErrorResponse
401Missing or invalid API keyapplication/jsonErrorResponse
403Insufficient jurisdiction or scopeapplication/jsonErrorResponse
404Unknown resourceapplication/jsonErrorResponse
422Request schema validation failedapplication/jsonErrorResponse
429Rate limit exceededapplication/jsonErrorResponse
503Source content is unavailable or still processingapplication/jsonErrorResponse

Representative 200 response

{
  "isin": "INE002A01018",
  "prices": [
    {
      "date": "2025-12-31",
      "knowledge_time": "2025-12-31T23:59:59Z",
      "open": 1,
      "high": 1,
      "low": 1,
      "close": 1,
      "volume": 1,
      "adjusted_close": 1
    }
  ],
  "meta": {
    "jurisdiction": "IN",
    "count": 1,
    "limit": 10,
    "offset": 0,
    "next_offset": null,
    "as_of": "2025-12-31T23:59:59Z",
    "normalization_version": "string",
    "provenance": {}
  },
  "nse_symbol": "RELIANCE",
  "bse_code": "500325"
}